function acc = TestViaA(tespair_l,tespair_r,tedpair_l,tedpair_r,A,b0)
%% acc = TestViaA(tespair_l,tespair_r,tedpair_l,tedpair_r,A,b0)
%% Adjust verification results using SE rule without training.
global  params ;
A0 = eye(size(tespair_l,2));
distsame = zeros(size(tespair_l,1),1);
distdiff = zeros(size(tedpair_l,1),1);

distsameori = zeros(size(tespair_l,1),1);
distdiffori = zeros(size(tedpair_l,1),1);

for i = 1:size(tespair_l,1)
    
    distsame(i) = (tespair_l(i,:)-tespair_r(i,:))*A*(tespair_l(i,:)-tespair_r(i,:))';
    distdiff(i) = (tedpair_l(i,:)-tedpair_r(i,:))*A*(tedpair_l(i,:)-tedpair_r(i,:))';
    
    distsameori(i) = (tespair_l(i,:)-tespair_r(i,:))*A0*(tespair_l(i,:)-tespair_r(i,:))';
    distdiffori(i) = (tedpair_l(i,:)-tedpair_r(i,:))*A0*(tedpair_l(i,:)-tedpair_r(i,:))';
    
end

gd = [ones(size(tespair_l,1),1) ; -ones(size(tedpair_l,1),1) ];

distall = [distsame; distdiff];
distallori = [distsameori; distdiffori];

upper = distallori - (distallori./params.eb);
lower = distallori + (params.eb./(distallori.^(1/params.n)));

upper = upper./params.eb;
lower = lower./params.eb;

label = sign(b0-distall);

%%%%adjustment
ind_u = find(distall<=upper);
ind_l = find(distall>=lower);
label(ind_u) = 1;
label(ind_l) = -1;
acc = length(find(label==gd))/length(gd);

