function   [acc testdist]= Test_navie(tespair_l,tespair_r,tedpair_l,tedpair_r,A,b)
%% function   [acc testdist]= Test_navie(tespair_l,tespair_r,tedpair_l,tedpair_r,A,b)
%% Verification only with decision boundary b
distsame = zeros(size(tespair_l,1),1);
distdiff = zeros(size(tedpair_l,1),1);

for i = 1:size(tespair_l,1)
    
    distsame(i) = (tespair_l(i,:)-tespair_r(i,:))*A*(tespair_l(i,:)-tespair_r(i,:))';
    distdiff(i) = (tedpair_l(i,:)-tedpair_r(i,:))*A*(tedpair_l(i,:)-tedpair_r(i,:))';
    
end
testdist = [distsame;distdiff];
gd = [ones(size(tespair_l,1),1) ; -ones(size(tedpair_l,1),1) ];
distall = [distsame; distdiff];
label = sign(b-distall);
acc = length(find(label==gd))/length(gd);
