function [eb n] = parametersautotune(X1, X2,A0,params)
%  [eb n] = parametersautotune(X1, X2,A0,params)
%
% Set parameters in shrinkage-expansion adaptive bound constraints
global r;
num = size(X1,1)/2;
distsame = zeros(num,1);
for i = 1:num
    distsame(i) = (X1(i,:)-X2(i,:))*A0*(X1(i,:)-X2(i,:))';
end
dssort = sort(distsame,'descend');
eb = round(dssort(params.maxvp(r)));  
n = 1/(log2(eb/(eb-2)));
n = round(n);