function [ A ] = SEAML(trspair_l,trspair_r,trdpair_l,trdpair_r,A0,s)
%% SEAML.m performs an example of metric leanring method with 
%% LogDet regularizer and Shrinkage-Expansion adaptive constraints
% For  theoretical and technical details, please refer to the following paper:
%
% Qilong Wang, Wangmeng Zuo, Lei Zhang, and Peihua Li. Shrinkage Expansion Adaptive Metric Learning. 
% European Conference on Computer Vision (ECCV), 2014.
%
% Please cite the paper above if you use the code.
global  params ;
params = s;
[A params]= MetricLearning([trspair_l ;trdpair_l],[trspair_r; trdpair_r], A0, params);

end