function   [b traindist] = TrainBoundary(trspair_l,trspair_r,trdpair_l,trdpair_r,A)
%% function   [b traindist] = TrainBoundary(trspair_l,trspair_r,trdpair_l,trdpair_r,A) 
%% A naive method to find verification boundary b

distsame = zeros(size(trspair_l,1),1);
distdiff = zeros(size(trdpair_l,1),1);

for i = 1:size(trspair_l,1)
    
    distsame(i) = (trspair_l(i,:)-trspair_r(i,:))*A*(trspair_l(i,:)-trspair_r(i,:))';
    distdiff(i) = (trdpair_l(i,:)-trdpair_r(i,:))*A*(trdpair_l(i,:)-trdpair_r(i,:))';
    
end
traindist = [distsame;distdiff];
dssort = sort(distsame,'descend');
ddsort = sort(distdiff);
ind = find((ddsort-dssort)>0);
b = (dssort(ind(1))+ddsort(ind(1)))/2;
end