function  [tespair_l tespair_r tedpair_l tedpair_r] = gettestfeatures(features_folder,list_folder,round)
tespair_l = [];
tespair_r = [];
tedpair_l = [];
tedpair_r = [];
stridx = fullfile(list_folder,sprintf('round_%02d',round));
filename = [stridx,'.txt'];
file = fopen(filename);
n = 0;
while (~feof(file))
        str = fgetl(file);
        loc = find(str == ' ');
        str1 = str( 1 : loc - 1);
        str2 = str( loc + 1 : end);
        features = load ([features_folder, str1,'.mat']);
        fea1 = features.atrr;
        features= load ([features_folder, str2,'.mat']);
        fea2 = features.atrr;
        fea1 = fea1';
        fea2 = fea2';
        if n<1000
            tespair_l  = [tespair_l; fea1];     
            tespair_r  = [tespair_r; fea2];
        else
            tedpair_l  = [tedpair_l; fea1];     
            tedpair_r  = [tedpair_r; fea2];
        end
        n = n+1;
end

