function [trspair_l trspair_r trdpair_l trdpair_r] = gettrainfeatures(features_folder,list_folder,round)
trspair_l = [];
trspair_r = [];
trdpair_l = [];
trdpair_r = [];
iround = 1:10;
idx = find(iround==round);
iround(idx) = [];
for i= 1:length(iround)
    stridx = fullfile(list_folder,sprintf('round_%02d',iround(i)));
    filename = [stridx,'.txt'];
    file = fopen(filename);
    n = 0;
    while (~feof(file))
        str = fgetl(file);
        loc = find(str == ' ');
        str1 = str( 1 : loc - 1);
        str2 = str( loc + 1 : end);
        features = load ([features_folder, str1,'.mat']);
        fea1 = features.atrr;
        features= load ([features_folder, str2,'.mat']);
        fea2 = features.atrr;
        fea1 = fea1';
        fea2 = fea2';
        if n<1000
            trspair_l  = [trspair_l; fea1];     
            trspair_r  = [trspair_r; fea2];
        else
            trdpair_l  = [trdpair_l; fea1];     
            trdpair_r  = [trdpair_r; fea2];
        end
        n = n+1;
    end
end

