function  [] = DemoLFW_Combine(params)
%DemoLFW_Combine.m performs the example code of face verification on LFW
% face databases combing SIFT with Attributes  features using SVM. 
fprintf('Face Verfication on LFW face database combing SIFT with Attributes......\n'); 
for i = 1:10
%% Load Features (Weighted Learned Mahalanobis Distance)
fprintf('-------------------------------The round %02d  \n', i); 
ATrstridx = sprintf('%sTrRound%02d.mat',params.Attri,i);
STrstridx = sprintf('%sTrRound%02d.mat',params.sift,i);
ATestridx = sprintf('%sTeRound%02d.mat',params.Attri,i);
STestridx = sprintf('%sTeRound%02d.mat',params.sift,i);
Atrdist = load(ATrstridx); Atrdist = Atrdist.traindist;
Strdist = load(STrstridx); Strdist = Strdist.traindist;
Atedist = load(ATestridx); Atedist = Atedist.testdist;
Stedist = load(STestridx); Stedist = Stedist.testdist;
%%%%%%%%%%%%%%% add weight
Strdist = params.weight(i).*Strdist; Stedist = params.weight(i).*Stedist;
Atrdist = (1-params.weight(i)).*Atrdist; Atedist = (1-params.weight(i)).*Atedist;
%%%%%%%%%%%%%%% combine dist
trsdist = [Atrdist(1:2700) Strdist(1:2700)]; trddist = [Atrdist(2701:end) Strdist(2701:end)];
tesdist = [Atedist(1:300) Stedist(1:300)]; teddist = [Atedist(301:end) Stedist(301:end)];
[acc(i)  ~] = SVMforCombine(trsdist,trddist,tesdist,teddist);
end
fprintf('The average accuracy of ten folds cross validationis is %f + %f \n\n\n\n', mean(acc),std(acc)); 





